Skip to content

Pause agent

POST
/api/v1/agents/{role}/pause
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/agents/example/pause \
--header 'X-API-Key: <X-API-Key>'

Set an agent’s status to paused, halting autonomous execution.

role
required
Role

The agent role to pause

string

The agent role to pause

Successful Response

Media typeapplication/json
AgentStatusResponse

Wrapper response for pause/resume endpoints.

Attributes: data: The status payload.

object
data
required
AgentStatusData

Status payload returned after pause/resume actions.

Attributes: role: The agent role. status: The new lifecycle status.

object
role
required
Role
string
status
required
Status
string
Examplegenerated
{
"data": {
"role": "example",
"status": "example"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}